For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
              • GETGet Gift Certificate
              • PUTUpdate Gift Certificate
              • DELDelete Gift Certificate
              • GETList Gift Certificates
              • POSTCreate Gift Certificate
              • DELDelete All Gift Certificates
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentMarketingGift Certificates

Get Gift Certificate

GET
https://api.bigcommerce.com/stores/:store_hash/v2/gift_certificates/:id
GET
/stores/:store_hash/v2/gift_certificates/:id
$curl https://api.bigcommerce.com/stores/store_hash/v2/gift_certificates/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "amount": "10",
3 "from_email": "janedoe@example.com",
4 "from_name": "Jane Doe",
5 "to_email": "johndoe@example.com",
6 "to_name": "John Doe",
7 "balance": "0",
8 "code": "FFZ-5N4-C7M-S78",
9 "currency_code": "USD",
10 "customer_id": 5,
11 "expiry_date": "1694738",
12 "id": 1,
13 "message": "Happy Birthday!",
14 "order_id": 116,
15 "purchase_date": "1603306",
16 "status": "active",
17 "template": "birthday.html"
18}

Returns a single Gift Certificate.

Was this page helpful?
Previous

Delete Coupon

Next

Update Gift Certificate

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idintegerRequired
ID of the gift certificate.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

amountstring
Value of the gift certificate.
from_emailstring
Email of the customer who purchased the gift certificate.
from_namestring
Name of the customer who purchased the gift certificate.
to_emailstring
Email of the recipient.
to_namestring
Name of the recipient.
balancestring
Remaining value of the gift certificate. If not set, will default to the amount.
codestring<=255 characters
A unique string that a customer can input to redeem a gift certificate. Values greater than 20 characters will be trimmed down to the first 20 characters and returned in the response. If this field is not set, a value will be autogenerated.
currency_codestring
A currency code, following the ISO 4217 standard. The currency has to exist in the store first. Gift Certificates can only be used if the transactional currency of the cart is the same as the one defined in the gift certificate. If this value is not provided, the gift certificate is created using the store's default transactional currency.
customer_idinteger
The ID of the customer placing the order.
expiry_datestring
Date on which the gift certificate is set to expire. Date displays in the Unix timestamp format.
idinteger

The ID of the gift certificate. This is a READ-ONLY field; do not set or modify its value in a POST or PUT request.

messagestring

Text that will be sent to the recipient, such as “Congratulations.”

order_idinteger
The ID of the order.
purchase_datestring

Date the gift certificate was purchased. If not assigned, this will be set to today’s date. Date displays in the Unix timestamp format.

statusenum
Allowed values:
templateenum
The email theme to use in the message sent to the recipient.

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.